import {
	request
} from "@/utils/request";

export default {
	orderList(data) {
		return request({
			url: "/shop/orderPickUp/orderList",
			method: "POST",
			data,
			type: "mall",
		});
	},

	orderSend(data) {
		return request({
			url: "/shop/orderPickUp/orderSend",
			method: "POST",
			data,
			type: "mall",
		});
	},

	GetExpressList(data) {
		return request({
			url: "/admin/orderPickUp/GetExpressList",
			method: "POST",
			data,
			type: "mall",
		});
	},

	printOrder(data) {
		return request({
			url: "/shop/orderPickUp/printOrder",
			method: "POST",
			data,
			type: "mall",
		});
	},

	updateNotes(data) {
		return request({
			url: "/shop/orderPickUp/updateNotes",
			method: "POST",
			data,
			type: "mall",
		});
	},

	// 核销记录
	checkLog(data) {
		return request({
			url: "/shop/shop/checkLog",
			method: "POST",
			data,
			type: "mall",
		});
	},

	confirmCancel(data) {
		return request({
			url: "/shop/orderPickUp/confirmCancel",
			method: "POST",
			data,
			type: "mall",
		});
	},

};